Owners of old iPhones and iPads MUST update their software by midnight on Saturday

2019-10-28T04:00:00Z2019-11-02T04:00:00Z

If you have an old iPhone 5 or iPad, you must update your OS by Nov 2 or risk having them go offline. Worth to pass if you know someone using one of these…

3 Likes

@kumar.sachin I believe you have an iPhone 5C, (unless you upgraded recently) and I remember you saying you also had an old iPhone 5 being used for another purpose. Take a note of it :innocent:

I smell a class action lawsuit coming up for this fiasco. If they have known about it for so long why have they not addressed and warned users about it until now? And the o a pop up warning isn’t thg addressing the issue

2 Likes

Possibly, they say it is with GPS system and is it just with the iPhones then?

Thanks for the warning @Ice1
I have a iPhone SE and also have a 4S that I’m planning to get rid of.
If a class action suit happens, then I’m keeping 4S to get something out of :laughing:

2 Likes

LOL, glad you knew that now :rofl:

Yikes!!! There will be a lot of pissed off people.

1 Like

We’ve got an old 5 that barely works. Its for backup. I need to keep track of this.

1 Like

Worth keeping it for few more months, in case there are class action :grin:

2 Likes

Has this happened before in the history of Apple?
It seems a bit harsh to me, I can understand them not supporting old models but can’t see how they can get away with forcing a product offline.

1 Like

It isn’t their fault, it’s because of the GPS reset. Read the whole article.

1 Like

Yeah I see, I’m more of a “headlines man”.
I feel sorry for the old device users out there.
I recall 4 very happy years with my iPhone 5, that had to come to an end as the increasing push to update the software had an increasing detrimental effect on battery life and overall performance.
Bless it’s little heart, It gave way to the iPhone 8 - was literally worst time to buy an iPhone as the X hit the market a couple of months later.
But hey-ho, that’s progress!

1 Like

THanks @Ice1. Nice to know.

1 Like

And yet why is only Apple products affected? Shame on them

My 4s is still on 8.4.1 and it has not prompted warning to update. I’ll see what happens at doomsday :grinning:

2 Likes

Thanks for the heads up :+1:

1 Like

Because apple is the only one that actually cares if someone is somehow still using a 5 year old phone or ipad still

Its a problem on many older GPS based devices, but again almost no one is trying to use those in daily use to the extend that some kid loves their iphone 5c (the 5c was a good phone, the problem was the users who bought it were basically barbarians)

Do you think Samsung is going to release a firmware update for the Galaxy S4

2 Likes

The main issue is going to be that your GPS will basically stop working, and the time on your phone will be wrong

1 Like

Uh maybe you didnt’ actually read the article, but apple rolled out a fix in April and has been warning users for months to upgrade their iOS version.

1 Like

But not just that, it says email, web and so many things will not work. and if it is GPS causing this issue, why just Apple devices are effected? why not Samsung or any other brand?